Skip to main content
POST
Add model to alias

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

ml_model_uuid
string<uuid>
required

UUID of the ML model to link.

priority
integer
default:0

Fallback priority: 0 = primary, 1 = first fallback, etc.

Response

id
string<uuid>
required

Unique ID for this alias

company_id
integer
required

ID of the company which owns this alias.

name
string
required

Display name for this model alias

technical_name
string
required

Company-wide unique technical name for this model alias

description
string
required

Description of the alias.

model_type
enum<string>
required

Type of models represented by this alias (eg. 'Large Language Model', 'Embedding Model','Vision Language Model', 'Multi-Vector Model)

  • Large Language Model - Large Language Model
  • Embedding Model - Embedding Model
  • Vision Language Model - Vision Language Model
  • Multi-Vector Model - Multi-Vector Model
Available options:
Large Language Model,
Embedding Model,
Vision Language Model,
Multi-Vector Model
linked_models
object[]
required

Models associated with this alias.